package fr.cnam.projet;

import fr.cnam.ihm.*;

/* Classe de definition du jeu d'othello
 */
public class Othello
{
  final public static int NB_LIGNE=8;
  final public static int NB_COLONNE=8;

  private PFJeu       pfjeu;
  private CanvasIHM   grille;
  private int         couleurJoueur1;
  private int         couleurJoueur2;
  private int         joueurCourant;

  // Initialisation du jeu d'othello
  //
  public String initialiser(PFJeu pfjeu)
  {
    String res = "Initialisation du jeu d'Othello:\n";

    this.pfjeu  = pfjeu;
    this.grille = pfjeu.getIhm().getGrille();

    this.couleurJoueur1=1;
    this.couleurJoueur2=5;

    grille.setMarque(couleurJoueur1,3,3);
    grille.setMarque(couleurJoueur1,4,4);
    grille.setMarque(couleurJoueur2,3,4);
    grille.setMarque(couleurJoueur2,4,3);

    res=res+"OK";

    return (res);
  }
  
  // Traitement du coup d'un joueur
  //
  public void selectionnerCase(int x,int y)
  {
    // Le code qui suit est un exemple de l'utilisation de la grille
    //
    // Il va falloir remplacer tout ce code par votre code permettant
    // de gerer le coup de chacun des joueurs
    //

    /**/
    pfjeu.getIhm().afficherResultat("Selection case : "+x+" "+y);

    if (grille.siCaseLibre(x,y))
      pfjeu.getIhm().afficherResultat("La case est libre");
    else
      {
        int c = grille.getMarque(x,y);
        pfjeu.getIhm().afficherResultat("La case n'est pas libre. Couleur de la case : "+c);
      }

    if (joueurCourant==1) 
      {
        grille.setMarque(couleurJoueur1,x,y);
        joueurCourant=2;
      }
    else 
      {
        grille.setMarque(couleurJoueur2,x,y);
        joueurCourant=1;
      }
    /**/

  }
}